server {
    listen 443 ssl;
    listen [::]:443 ssl;
    
    ssl_certificate /etc/letsencrypt/live/call.example.com/fullchain.pem;
    ssl_certificate_key /etc/letsencrypt/live/call.example.com/privkey.pem;
    include /etc/letsencrypt/options-ssl-nginx.conf;
    ssl_dhparam /etc/ssl/dhparams.pem;
    
    server_name call.example.com;
    
    root /var/www/element-call;
    
    location /assets {
        add_header Cache-Control "public, immutable, max-age=31536000";
    }
    
    location /apple-app-site-association {
        default_type application/json;
    }
    
    location /^config.json$ {
        alias public/config.json;
        default_type application/json;
    }
    
    location / {
        try_files $uri /$uri /index.html;
        add_header Cache-Control "public, max-age=30, stale-while-revalidate=30";
    }
    
    access_log /var/log/nginx/call-access.log;
    error_log /var/log/nginx/call-error.log;
}
